Probe basic with linuxcnc 2.9.1 on raspi 4b

More
20 Nov 2023 15:25 - 20 Nov 2023 15:26 #286051 by welmo
Hi folks,

as my old hardware crashes a week ago i thought it would be a great idea to get a Raspi 4b 8gb and another one as backup.
The new image under www.linuxcnc.org/iso/linuxcnc-2.9.1-bookworm-rpi4.img.xz works and with axis eveything is fine.
BUT when i tried to install probe basic (my work horse) the journey to hell started. Is there any chance to get probe basic up and running under the mentioned hardware with newst linuxcnc and python3?  These are the errors i get:
vtkXOpenGLRenderWindow (0x1b576c40): Unable to find a valid OpenGL 3.2 or later implementation.
vtkShaderProgram (0x1b04add0): 0:1(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.00 ES, and 3.00 ES

Ist there any hack to get this setting running?

 

File Attachment:

File Name: linuxcnc.txt
File Size:18 KB
Attachments:
Last edit: 20 Nov 2023 15:26 by welmo.

Please Log in or Create an account to join the conversation.

More
20 Nov 2023 15:38 #286054 by dpslwk
I believe having this post might be what your looking for
forum.linuxcnc.org/qtpyvcp/39127-vtk-backplot-on-rpi-4
The following user(s) said Thank You: welmo

Please Log in or Create an account to join the conversation.

More
20 Nov 2023 23:14 #286113 by rodw
QTVCP does not support the pi in their repos which is  a shame or it would be in the installer.
I do remember compiling VTK from source on the pi 4b but I think now it is in the debian repositories
 
The following user(s) said Thank You: welmo

Please Log in or Create an account to join the conversation.

Moderators: KCJLcvette
Time to create page: 0.085 seconds
Powered by Kunena Forum